Bug Hunting Session
Bug 41419 - Exporting a draw from writer to Word .doc breaks the draw
Summary: Exporting a draw from writer to Word .doc breaks the draw
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc, filter:docx
: 123335 (view as bug list)
Depends on:
Blocks: OOXML-Shapes DOC
  Show dependency treegraph
 
Reported: 2011-10-03 08:26 UTC by Rpnpif
Modified: 2019-03-29 21:04 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
The odt file (15.65 KB, application/vnd.oasis.opendocument.text)
2011-10-03 08:26 UTC, Rpnpif
Details
The doc file (17.50 KB, application/msword)
2011-10-03 08:27 UTC, Rpnpif
Details
The doc file from 4.4.2.2 (17.50 KB, application/msword)
2015-05-02 17:39 UTC, Rpnpif
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rpnpif 2011-10-03 08:26:42 UTC
Created attachment 51896 [details]
The odt file

Create a draw with draw tools in Writer.
Export to a .doc file.
Draw is broken and all is mixed.

This issue affects 3.3.2 to 3.3.4 and 3.4.3.
Comment 1 Rpnpif 2011-10-03 08:27:14 UTC
Created attachment 51897 [details]
The doc file
Comment 2 Björn Michaelsen 2011-12-23 12:35:51 UTC Comment hidden (obsolete)
Comment 3 sasha.libreoffice 2012-01-08 23:39:13 UTC
reproduced in LibO 3.5.0 beta 1
Steps to reproduce:
0. Start Writer with new empty document
1. Draw parallelogram (Basic shapes on Paint toolbar)
2. right click it and choose Size and position
3. on tab "Rotation" enter 45 degree
4. on tab "Size and position" note (remember) width
5. save as doc file
6. File->reload
7. step 2
8.  on tab "Size and position" note (compare) width
expected: width remains the same
actually: width increased
Comment 4 sasha.libreoffice 2012-01-08 23:52:38 UTC
reproducible also on Windows in LibO 3.4.3
Another experiments:
when save in docx, and open in Word 2007, picture is corrupted
when open odt file from first attach in Word 2007, it warns that file corrupted; if then press "Repair", document opens, but picture corrupted
Comment 5 A (Andy) 2013-05-03 22:19:41 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

I can confirm both: the comment of Rpnpif and Sasha.
If I open the exported doc file in MSO 2007 then it also shows a buggy behavior.

-> increased the importance
Comment 6 Rpnpif 2013-05-04 08:14:14 UTC
In addition, I think that graphics in LO 4.0.x have often quality in regression versus Oo 3.3. Perhaps the same cause, perhaps not. I think other cause(s), we have to precise with other reports (some are yet published).

Thank for this difficult work.
Comment 7 Cédric Bosdonnat 2014-01-20 08:57:41 UTC
Restricted my LibreOffice hacking area
Comment 8 Joel Madero 2015-05-02 15:42:24 UTC Comment hidden (obsolete)
Comment 9 Rpnpif 2015-05-02 17:39:17 UTC
Created attachment 115274 [details]
The doc file from 4.4.2.2

With 4.2.2.2 LO, the drawing is better but not perfect.
See the attachment.
Comment 10 Rpnpif 2015-05-02 19:36:27 UTC
Present in LO 3.3.
Comment 11 Rpnpif 2015-12-27 11:46:43 UTC
With LO 5.1.0.1 Build ID: bcace328aabc4c8c10b56daa87da0a2ee6579b5a, the dimensions are now well displayed but the roof is still broken from choupi.odt converted to choupi.doc (see attachment).
Comment 12 Rpnpif 2016-04-12 11:50:13 UTC
This issue is still in 5.1.2.2.
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f.

It is worst with the export to the DOCX format.
Comment 13 Rpnpif 2016-06-17 09:02:00 UTC
This issue is still in 5.1.4.2.
Comment 14 Rpnpif 2016-09-09 12:59:06 UTC
With 5.2.1.2, only the roof on the attached draw is wrong. All the other lines and forms are right.

So this issue is partially fixed.
Thanks. And expect for some other efforts to fixed the remain bug.

Regards.
Comment 15 Rpnpif 2016-09-09 13:01:30 UTC
(In reply to Rpnpif from comment #14)
> With 5.2.1.2, only the roof on the attached draw is wrong. All the other
> lines and forms are right.
> 
> So this issue is partially fixed.
> Thanks. And expect for some other efforts to fixed the remain bug.


But docx is very wrong.
Comment 16 Rpnpif 2016-09-09 13:02:38 UTC
(In reply to Rpnpif from comment #14)
> With 5.2.1.2, only the roof on the attached draw is wrong. All the other
> lines and forms are right.
> 
> So this issue is partially fixed.
> Thanks. And expect for some other efforts to fixed the remain bug.


But docx is very bad.
Comment 17 Telesto 2016-11-24 18:31:52 UTC
Confirming faulty doc & docx export

Version: 5.3.0.0.alpha1+
Build ID: f965a629fba10ecba7bad938a0c1c9c3db1e510d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-23_00:13:10
Locale: nl-NL (nl_NL); Calc: CL
Comment 18 Xisco Faulí 2017-10-31 12:48:16 UTC
Still reproducible in

Version: 6.0.0.0.alpha1+
Build ID: 60a03d97bc35c02cb1eff0e4a02b6f37fd1a6a34
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 19 Xisco Faulí 2017-12-07 16:36:33 UTC
Still reproducible in

Version: 6.1.0.0.alpha0+
Build ID: 495ac1bc97f3deea8e13cb1a2b9f59d087873c3f
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); Calc: group threaded
Comment 20 QA Administrators 2018-12-08 03:47:09 UTC Comment hidden (obsolete)
Comment 21 Rpnpif 2018-12-08 08:42:32 UTC
The draw is better in LO 6.1.3.2 but the roof is still malformed.

Version: 6.1.3.2
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
Threads CPU : 2; OS : Linux 4.9; UI Render : par défaut; VCL: gtk2; 
Locale : fr-FR (fr_FR.utf8); Calc: group threaded
Comment 22 Giovanni Contin micronova 2019-02-11 10:47:14 UTC
*** Bug 123335 has been marked as a duplicate of this bug. ***